Skip to main content
`Ctrl`+`K`

# PetscRandomSetInterval

Sets the interval over which the random numbers will be distributed. By default, this interval is [0,1).

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscRandomSetInterval(PetscRandom r, PetscScalar low, PetscScalar high)

Not Collective

## Input Parameters

- r - the random number generator context

- low - The lower bound of the interval

- high - The upper bound of the interval

## Notes

for complex numbers either the real part or the imaginary part of high must be greater than its low part; or both of them can be greater.

If the real or imaginary part of low and high are the same then that value is always returned in the real or imaginary part.

## See Also

`PetscRandomCreate()`, `PetscRandomGetInterval()`

## Level

intermediate

## Location

src/sys/classes/random/interface/random.c

## Examples

src/dm/tutorials/swarm_ex3.c
src/snes/tutorials/ex12.c
src/tao/unconstrained/tutorials/elastic_net_regularization.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/sys/classes/random/tutorials/ex1.c
src/ksp/ksp/tutorials/ex60.c
src/ksp/ksp/tutorials/ex11f.F90
src/dm/field/tutorials/ex1.c
src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex11.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages